%define ver_major 0.0

Name: gnome-keyring-manager
Version: %ver_major.4
Release: alt1

Summary: Keyring management program for the GNOME Desktop
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define GConf_ver 2.10.0
%define keyring_ver 0.4.2

PreReq: GConf2 >= %GConf_ver
Requires: libgnome-keyring >= %keyring_ver

BuildPreReq: menu-devel
BuildPreReq: libgnome-keyring-devel >= %keyring_ver

# Automatically added by buildreq on Thu Mar 17 2005
BuildRequires: GConf2 ORBit2-devel esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig xorg-x11-devel-static xorg-x11-libs

%description
This a keyring management program for the GNOME Desktop

%prep
%setup -q

%build
%configure --disable-schemas-install

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Configuration/Gnome" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*

%changelog
* Thu Mar 17 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.0.4-alt1
- First build for Sisyphus.
